#include "Hash_map.hpp"
#include <iostream>
#include <string>

int main()
{
    Hash_map<std::string, int> lengths;
    lengths["hello"] = 5;
    lengths["world"] = 5;
    lengths["eecs214"] = 7;
    ++lengths["a"];

    Dyn_array<std::string const*> keys;
    lengths.get_keys(keys);

    for (size_t i = 0; i < keys.size(); ++i) {
        std::string const& key = *keys[i];
        std::cout << key << ": " << lengths[key] << "\n";
    }
}