#include "int_da.h"
#include <stdio.h>

int main()
{
    int_da_t da = int_da_create(4);
    if (da == NULL) return 1;

    printf("size = %zu\n", int_da_size(da));

    for (int i = 0; i < 10; ++i) {
        int* zp = int_da_push_back(da);
        if (zp == NULL) break;
        *zp = i;
    }

    size_t size = int_da_size(da);
    printf("size = %zu\n", size);

    int sum = 0;

    for (size_t i = 0; i < size; ++i) {
        sum += *int_da_index(da, i);
    }

    printf("sum = %d\n", sum);

    int_da_destroy(da);
}
