#lang dssl2

struct posn:
    let x: num?
    let y: num?

struct circle:
    let center: posn?
    let radius: num?

def scale_circle(circ, factor):
    circ.radius = factor * circ.radius

test 'parameter passing creates sharing':
    let c = circle(posn(3, 4), 6)
    scale_circle(c, 2)
    assert_eq c.radius, 12

test 'assignment creates sharing':
    let c1 = circle(posn(3, 4), 6)
    let c2 = c1
    c2.radius = 12
    assert_eq c1.radius, 12

