#include "Dyn_array.hpp"
#include "raii.hpp"
#include <iostream>
#include <string>

template <class T>
void print(Dyn_array<T> const& da)
{
    for (size_t i = 0; i < da.size(); ++i) {
        std::cout << da[i] << "\n";
    }
}

int main()
{
    Dyn_array<int> da1;
    Dyn_array<std::string> da2;

    da1.push_back(2);
    da1.push_back(3);
    da1.push_back(4);

    da2.push_back("hello");
    da2.push_back("world");

    print(da1);
    print(da2);

    da2[1] = "eecs214";

    print(da2);

//    Dyn_array<Noisy> da3;
//    da3.push_back(Noisy("element"));
}