#include "xor_list.h"
#include <stdio.h>

int main()
{
    struct xor_list xl;

    xl_init(&xl);
    printf("is_empty: %d\n", xl_is_empty(&xl));

    xl_insert(&xl, 5);
    printf("is_empty: %d\n", xl_is_empty(&xl));
    printf("{5}: %d\n", *xl_data(&xl));
    xl_forward(&xl);
    printf("{5}: %d\n", *xl_data(&xl));

    xl_insert(&xl, 2);
    xl_insert(&xl, 3);
    xl_insert(&xl, 4);

    printf("{5, 2, 3, 4}: %d\n", *xl_data(&xl));
    xl_forward(&xl);
    printf("{2, 3, 4, 5}: %d\n", *xl_data(&xl));
    xl_forward(&xl);
    printf("{3, 4, 5, 2}: %d\n", *xl_data(&xl));
    xl_forward(&xl);
    printf("{4, 5, 2, 3}: %d\n", *xl_data(&xl));
    xl_forward(&xl);
    printf("{5, 2, 3, 4}: %d\n", *xl_data(&xl));

    xl_back(&xl);
    printf("{4, 5, 2, 3}: %d\n", *xl_data(&xl));

    xl_remove(&xl);
    printf("{5, 2, 3}: %d\n", *xl_data(&xl));
    xl_forward(&xl);
    printf("{2, 3, 5}: %d\n", *xl_data(&xl));
    xl_remove(&xl);
    printf("{3, 5}: %d\n", *xl_data(&xl));
    xl_remove(&xl);
    printf("{5}: %d\n", *xl_data(&xl));
    printf("is_empty: %d\n", xl_is_empty(&xl));
    xl_remove(&xl);
    printf("is_empty: %d\n", xl_is_empty(&xl));
}